For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bundle Schema

Configure product bundle schemas, unit ratios and templates in VARIO Cloud through the Bundle Schema API.

the bundle schema API

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

get/erp/bundle-schemata/{id}
GET /erp/bundle-schemata/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "ratios": [],
  "productId": 1,
  "label": "text"
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

put/erp/bundle-schemata/{id}
PUT /erp/bundle-schemata/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 126

{
  "version": "text",
  "info": {},
  "id": "text",
  "baseTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "ratios": [],
  "label": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "ratios": [],
  "productId": 1,
  "label": "text"
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/erp/bundle-schemata/{id}
DELETE /erp/bundle-schemata/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

Responses
200

successful operation

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

post/erp/bundle-schemata/
POST /erp/bundle-schemata/ HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 126

{
  "version": "text",
  "info": {},
  "id": "text",
  "baseTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "ratios": [],
  "label": "text"
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "baseTypeRef": {
    "id": 1,
    "name": "text",
    "abbreviation": "text"
  },
  "ratios": [],
  "productId": 1,
  "label": "text"
}
get
Responses
200

OK

application/json
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

productIdinteger · int64Read-onlyOptional

Produkt, zu dem dieses Schema gehört

labelstring · min: 1Required

Name

get/erp/bundle-schemata/templates
GET /erp/bundle-schemata/templates HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Last updated

Was this helpful?